summaryrefslogtreecommitdiffstats
path: root/package/busybox/udhcpc.script
diff options
context:
space:
mode:
authorLionel Landwerlin <llandwerlin@gmail.com>2010-12-09 10:55:05 +0100
committerPeter Korsgaard <jacmet@sunsite.dk>2010-12-13 00:29:23 +0100
commit274e34af3b7ce1d8be8de52799d15e43456b30b5 (patch)
treecb739fb8e7c4e1511abf693cb31c83e360b34b2a /package/busybox/udhcpc.script
parentcd182cae65c0075c16910dc6b990fc3f8abbd776 (diff)
downloadbuildroot-novena-274e34af3b7ce1d8be8de52799d15e43456b30b5.tar.gz
buildroot-novena-274e34af3b7ce1d8be8de52799d15e43456b30b5.zip
busybox: move udhcp script from skeleton to package
Since udhcpc is part of busybox, it seems logical to move the udhcpc script from skeleton to busybox. [Peter: only install if not available in skeleton] Signed-off-by: Lionel Landwerlin <llandwerlin@gmail.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'package/busybox/udhcpc.script')
-rwxr-xr-xpackage/busybox/udhcpc.script39
1 files changed, 39 insertions, 0 deletions
diff --git a/package/busybox/udhcpc.script b/package/busybox/udhcpc.script
new file mode 100755
index 000000000..a52a7f812
--- /dev/null
+++ b/package/busybox/udhcpc.script
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# udhcpc script edited by Tim Riker <Tim@Rikers.org>
+
+[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
+
+RESOLV_CONF="/etc/resolv.conf"
+[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
+[ -n "$subnet" ] && NETMASK="netmask $subnet"
+
+case "$1" in
+ deconfig)
+ /sbin/ifconfig $interface 0.0.0.0
+ ;;
+
+ renew|bound)
+ /sbin/ifconfig $interface $ip $BROADCAST $NETMASK
+
+ if [ -n "$router" ] ; then
+ echo "deleting routers"
+ while route del default gw 0.0.0.0 dev $interface ; do
+ :
+ done
+
+ for i in $router ; do
+ route add default gw $i dev $interface
+ done
+ fi
+
+ echo -n > $RESOLV_CONF
+ [ -n "$domain" ] && echo search $domain >> $RESOLV_CONF
+ for i in $dns ; do
+ echo adding dns $i
+ echo nameserver $i >> $RESOLV_CONF
+ done
+ ;;
+esac
+
+exit 0